com.independentsoft.exchange

## Class EffectiveRights

- java.lang.Object
- - com.independentsoft.exchange.EffectiveRights

-     public class EffectiveRights
      extends java.lang.Object

  Contains the client's rights based on the permission settings for the item or folder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EffectiveRights()` Initializes a new instance of the EffectiveRights class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getCreateAssociated()` Gets whether a client can create an associated contents table.
    `boolean` | `getCreateContents()` Gets whether a client can create a contents table.
    `boolean` | `getCreateHierarchy()` Gets whether a client can create a hierarchy table.
    `boolean` | `getDelete()` Gets whether a client can delete a folder or item.
    `boolean` | `getModify()` Gets whether a client can modify a folder or item.
    `boolean` | `getRead()` Gets whether a client can read a folder or item.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EffectiveRights

          public EffectiveRights()

      Initializes a new instance of the EffectiveRights class.

  - ### Method Detail

    - #### getCreateAssociated

          public boolean getCreateAssociated()

      Gets whether a client can create an associated contents table.
      Returns:
        the creates the associated

    - #### getCreateContents

          public boolean getCreateContents()

      Gets whether a client can create a contents table.
      Returns:
        the creates the contents

    - #### getCreateHierarchy

          public boolean getCreateHierarchy()

      Gets whether a client can create a hierarchy table.
      Returns:
        the creates the hierarchy

    - #### getDelete

          public boolean getDelete()

      Gets whether a client can delete a folder or item.
      Returns:
        the delete

    - #### getModify

          public boolean getModify()

      Gets whether a client can modify a folder or item.
      Returns:
        the modify

    - #### getRead

          public boolean getRead()

      Gets whether a client can read a folder or item.
      Returns:
        the read